View Issue Details

IDProjectCategoryView StatusLast Update
0000290XMB1Bugspublic2010-02-24 17:57
ReportermiqrogrooveAssigned Tomiqrogroove 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.9.8 SP2 
Target Version1.9.11.08Fixed in Version1.9.11.08 
Summary0000290: Duplicate Whosonline Entries Cause Duplicate U2U Rows
DescriptionConsider that the whosonline table affects every query in which it is joined to other tables, not just the Who's Online feature queries. A successful strategy here is going to involve auditing all queries that use the whosonline table.

Also, I see no reason not to get rid of those whosonline joins. XMB is already updating members.lastvisit on every page hit, and members.invisible on every login. That's more than adequate for calculating online status.
TagsNo tags attached.
MySQL Version
PHP Version
Web Server
Browser
Flags
Original Reporter
SVN Revision2236

Relationships

related to 0000191 closedmiqrogroove Duplicate Who's Online Entries 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2009-03-01 14:34 miqrogroove New Issue
2009-03-01 14:34 miqrogroove Relationship added related to 0000191
2010-01-23 19:25 miqrogroove Projection none => major rework
2010-01-23 19:25 miqrogroove ETA none => < 1 month
2010-01-23 19:25 miqrogroove Target Version => 1.9.11.08
2010-01-26 16:28 miqrogroove Status new => assigned
2010-01-26 16:28 miqrogroove Assigned To => miqrogroove
2010-01-26 18:29 miqrogroove SVN Revision => 2236
2010-01-26 18:29 miqrogroove Status assigned => resolved
2010-01-26 18:29 miqrogroove Fixed in Version => 1.9.11.08
2010-01-26 18:29 miqrogroove Resolution open => fixed
2010-02-24 17:57 miqrogroove Status resolved => closed